Debian Bug report logs - #681784
Please support multiarch:foreign

version graph

Package: bc; Maintainer for bc is Ryan Kavanagh <rak@debian.org>; Source for bc is src:bc.

Reported by: Sune Vuorela <sune@debian.org>

Date: Mon, 16 Jul 2012 15:03:02 UTC

Severity: normal

Tags: patch

Found in version bc/1.06.95-3

Fixed in version bc/1.06.95-6

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John G. Hasler <jhasler@debian.org>:
Bug#681784; Package bc. (Mon, 16 Jul 2012 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
New Bug report received and forwarded. Copy sent to John G. Hasler <jhasler@debian.org>. (Mon, 16 Jul 2012 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: submit@bugs.debian.org
Subject: Please support multiarch:foreign
Date: Mon, 16 Jul 2012 16:51:55 +0200
Package: bc
Version: 1.06.95-3
Severity: normal
Tags: patch

Hi

Some non-free packages seems to require bc, and the same non-free packages is 
i386-only, but can almost nicely be installed on amd64 if bc gets multiarch 
enabled.

I'm currently running with a bc with the following patch:


--- bc-1.06.95/debian/control
+++ bc-1.06.95/debian/control
@@ -8,6 +8,7 @@
 Package: bc
 Architecture: any
 Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
+Multi-Arch: foreign
 Description: The GNU bc arbitrary precision calculator language
  GNU bc is an interactive algebraic language with arbitrary precision which                                                                                                                                                                              
  follows the POSIX 1003.2 draft standard, with several extensions including                                                                                                                                                                              
@@ -18,6 +19,7 @@                                                                                                                                                                                                                                         
 Package: dc                                                                                                                                                                                                                                              
 Architecture: any                                                                                                                                                                                                                                        
 Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info                                                                                                                                                                                              
+Multi-Arch: foreign                                                                                                                                                                                                                                      
 Description: The GNU dc arbitrary precision reverse-polish calculator                                                                                                                                                                                    
  GNU dc is a reverse-polish desk calculator which supports unlimited                                                                                                                                                                                     
  precision arithmetic.  It also allows you to define and call macros.   

I hope you will include it in a future version of bc.

Thanks in advance

/Sune



Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 30 Apr 2013 16:36:05 GMT) Full text and rfc822 format available.

Notification sent to Sune Vuorela <sune@debian.org>:
Bug acknowledged by developer. (Tue, 30 Apr 2013 16:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 681784-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 681784-close@bugs.debian.org
Subject: Bug#681784: fixed in bc 1.06.95-6
Date: Tue, 30 Apr 2013 16:32:33 +0000
Source: bc
Source-Version: 1.06.95-6

We believe that the bug you reported is fixed in the latest version of
bc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated bc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 30 Apr 2013 17:15:31 +0100
Source: bc
Binary: bc dc
Architecture: source i386
Version: 1.06.95-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 bc         - GNU bc arbitrary precision calculator language
 dc         - GNU dc arbitrary precision reverse-polish calculator
Closes: 681784
Changes: 
 bc (1.06.95-6) unstable; urgency=low
 .
   * QA upload.
   * Make bc Multi-Arch: foreign, so that it can satisfy (build-)dependencies
     from other architectures (thanks, Sune Vuorela and Wookey; closes:
     #681784, LP: #1098408).
   * Add build-arch and build-indep targets.
Checksums-Sha1: 
 a0da7fd4a538bceef55a19a7ad6295337015ed62 1816 bc_1.06.95-6.dsc
 07e01f0a712772302af56a1613efafdebe40836d 15749 bc_1.06.95-6.diff.gz
 1bcc71cddab3683ad1d9e2c18a7931b6b8d69b54 107070 bc_1.06.95-6_i386.deb
 d6cba5786a3ec818a374e994dde2544bdf80210d 69528 dc_1.06.95-6_i386.deb
Checksums-Sha256: 
 fbea1d6b4bf1da4f21e18829f50dfba4491bd6487caf9d76e09326d52cf7bffc 1816 bc_1.06.95-6.dsc
 18928b7edef896e607b033b365ddc5a07f36294c3d0d1e68ec067780f35eb7d7 15749 bc_1.06.95-6.diff.gz
 7ffda0d32de56c35fee121899bd06258b6ecee5aecd39e36494655a74e3f0ef6 107070 bc_1.06.95-6_i386.deb
 3db9d14c61dae354deb1231c97a1ee3e94e9fca72ae801525985bbeedee98b87 69528 dc_1.06.95-6_i386.deb
Files: 
 c8febaf3498b8f78afda7a5562dbf416 1816 math standard bc_1.06.95-6.dsc
 3c5e92823fe86d2ca7cffd88929b9102 15749 math standard bc_1.06.95-6.diff.gz
 87eb451abb276d39551215ebec6a8082 107070 math standard bc_1.06.95-6_i386.deb
 954d526a7c6e2a57f549ff87749723d9 69528 math standard dc_1.06.95-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBUX/v4Dk1h9l9hlALAQgqew/8C6rtgVL3iUXUeo+qPCwQJW3YksVvv6Jh
ZzNiaTJSUzH0a/cnYhmWguG8af2QPF278gNwwo2lMuIke7xBXLGE9lAlY6DLflTy
OTkNxlcYaZRx4k01UOF6cYv2jeYduUh6iTU5EFR1cwCjPOhdWi7TqdXNAXSu2qSw
p6c9zaFeLxy9ThhlAebTQP4E0GZdqn5+LTJFeAWaNhpw2fsXYkh+zfteQ6Lk6h/+
rgr7Q/uMj03hSMqfkJXlJJW0KOo/bhzAJ6Qtg0d5IlFUj6IoMpTZj6Ry2gESXbpP
FT9XLsUjipNwFGMY/+6XIPML8BXFlacDSZW8Y0RkdA5aP/4VeEhpS/hf9lMUrxgv
IAODD9KtWCCi/LssKvrX/0Zuw8n46dupTO199WJc8Z3OejAw97ASbt26tlKY7z6S
POi8dCEB5KVlQXVGRHwK7HG/A2TrvyypAo39yYFuq1iwGANDEZ7iCRS59NcF+mps
7p9FL0XOdOWDzIQRVkUNHlIGkcUQnulZ319aYgv0gitsb1t9xkk1ARdIOUODyN5/
oLlHFMHrIeTLpk1JWkrKki7PNH7arhlngHKIqF9rZ8wCsBJM/CA6ili+PDAU2zXZ
WWrxebNSqjQro3r/mFA6STNGOAVIfAPkMHw74gBDLN+iVGYXBdXelat4lktRKzAI
UoZEBJGONpY=
=lnuv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 May 2013 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:19:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.